Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantField

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantField

public class AssistantField extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AssistantField.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantField()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssistantField.Builder`
  `builder()`
  `String`
  `getComment()`
  `String`
  `getKey()`
  `String`
  `getTitle()`
  `AssistantFieldType`
  `getType()`
  `String`
  `getValue()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getValues()`
  `void`
  `setComment(String comment)`
  `void`
  `setKey(String key)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(AssistantFieldType type)`
  `void`
  `setValue(String value)`
  `void`
  `setValues(List<ru.bitel.bgbilling.common.model.KeyValue> values)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssistantField

    public AssistantField()

- ## Method Details

  - ### getKey

    public String getKey()

  - ### getType

    public AssistantFieldType getType()

  - ### getTitle

    public String getTitle()

  - ### getValue

    public String getValue()

  - ### getValues

    public List<ru.bitel.bgbilling.common.model.KeyValue> getValues()

  - ### getComment

    public String getComment()

  - ### setKey

    public void setKey(String key)

  - ### setType

    public void setType(AssistantFieldType type)

  - ### setTitle

    public void setTitle(String title)

  - ### setValue

    public void setValue(String value)

  - ### setValues

    public void setValues(List<ru.bitel.bgbilling.common.model.KeyValue> values)

  - ### setComment

    public void setComment(String comment)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### builder

    public static AssistantField.Builder builder()